import Keycloak from 'keycloak-js';

const keycloak = new Keycloak({
  url: `http://keycloak-server${kc_base_path}`,
  realm,
  clientId,
});

try {
  const authenticated = await keycloak.init({
    onLoad: 'check-sso',
    silentCheckSsoRedirectUri: `${location.origin}/silent-check-sso.html`
  });
  console.log(`User is ${authenticated ? 'authenticated' : 'not authenticated'}`);
} catch (error) {
  console.error('Failed to initialize adapter:', error);
}
